%global debug_package   %{nil}

Name:             prometheus
Version:          2.0.0
Release:          1%{?dist}
Summary:          The Prometheus monitoring system and time series database
License:          ASL 2.0
URL:              https://github.com/prometheus/prometheus
Source0:          prometheus-2.0.0.tar.gz
ExclusiveArch:    x86_64

BuildRequires:    golang
Requires:         golang

%description
%{summary}

%prep
%setup -n src/github.com/prometheus/prometheus

%build
export GOPATH=%{_builddir}
mkdir -p ./bin
go build -o ./bin/prometheus ./cmd/prometheus
go build -o ./bin/promtool ./cmd/promtool

%install
cd %{_builddir}/src/github.com/prometheus/prometheus
install -d -p %{buildroot}%{_datadir}/%{name}
cp -pav *.md LICENSE %{buildroot}%{_datadir}/%{name}
cp -rpav documentation %{buildroot}%{_datadir}/%{name}
install -d -p %{buildroot}%{_bindir}
cp bin/prometheus %{buildroot}%{_bindir}/
cp bin/promtool %{buildroot}%{_bindir}/

%files
%attr(0755, root, root) %{_bindir}/prometheus
%attr(0755, root, root) %{_bindir}/promtool
%attr(-, root, root) %doc %{_datadir}/%{name}/*.md
%attr(-, root, root) %doc %{_datadir}/%{name}/LICENSE
%attr(-, root, root) %doc %{_datadir}/%{name}/documentation

%changelog
* Wed Nov 15 2017 Boris Ranto <branto@redhat.com> 2.0.0-1
- Rebase to v2.0

* Tue Oct 10 2017 Boris Ranto <branto@redhat.com> 1.8.0-1
- Initial build
